List templates
curl --request GET \
--url https://core-api.getaptly.com/api/templates \
--header 'x-token: <api-key>'import requests
url = "https://core-api.getaptly.com/api/templates"
headers = {"x-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-token': '<api-key>'}};
fetch('https://core-api.getaptly.com/api/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"_id": "<string>",
"companyId": "<string>",
"name": "<string>",
"templateType": "sms",
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Templates
List templates
Returns communication templates for the company. All filter parameters are optional.
Accepts an API key (x-token), delegate token (Authorization: DelegateToken <token>),
or partner token (Authorization: Bearer <token> with templates permission).
When using a partner token, pass companyId as a query parameter.
GET
/
api
/
templates
List templates
Authorizations
ApiKeyHeaderDelegateTokenPartnerBearer
Query Parameters
Company ID. Required when using a partner token; resolved automatically for API key and delegate token auth.
Filter by template type.
Available options:
sms, email, form, eSignature, pdf, blockDocument Filter by associated board UUID.
Filter by archived status.
Response
Array of templates.
Show child attributes
Show child attributes